Debian Bug report logs - #667131
cbmc: ftbfs with GCC-4.7

version graph

Package: cbmc; Maintainer for cbmc is Michael Tautschnig <mt@debian.org>; Source for cbmc is src:cbmc.

Reported by: Matthias Klose <doko@debian.org>

Date: Tue, 3 Apr 2012 23:11:20 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version cbmc/4.1-1

Fixed in version cbmc/4.1-1.1

Done: Salvatore Bonaccorso <carnil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Michael Tautschnig <mt@debian.org>:
Bug#667131; Package cbmc. (Tue, 03 Apr 2012 23:11:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Michael Tautschnig <mt@debian.org>. (Tue, 03 Apr 2012 23:11:23 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: cbmc: ftbfs with GCC-4.7
Date: Tue, 03 Apr 2012 23:08:15 +0000
Package: cbmc
Version: 4.1-1
Severity: important
Tags: sid wheezy
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.7

The package fails to build in a test rebuild on at least amd64 with
gcc-4.7/g++-4.7, but succeeds to build with gcc-4.6/g++-4.6. The
severity of this report may be raised before the wheezy release.

./numbering.h:31:7: error: 'push_back' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]

The full build log can be found at:
http://people.debian.org/~lucas/logs/2012/03/29-clang-gcc47/unstable-gcc47/cbmc_4.1-1_unstable-gcc47.log
The last lines of the build log are at the end of this report.

Some hints on fixing these issues can be found at
http://gcc.gnu.org/gcc-4.7/porting_to.html

To build with GCC 4.7, either set CC=gcc-4.7 CXX=g++-4.7 explicitly,
or install the gcc, g++, gfortran, ... packages from experimental.

[...]
g++ -c -MMD -DSTL_HASH_TR1 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security  -o bigint.o bigint.cc
g++  -o test-bigint bigint-test.o bigint-func.o bigint.o 
make[3]: Leaving directory `/«PKGBUILDDIR»/src/big-int'
## Entering util
make  -C util
make[3]: Entering directory `/«PKGBUILDDIR»/src/util'
g++ -c -MMD -DSTL_HASH_TR1 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -I .. -I . -DHAVE_FLOATBV -o irep_ids_convert.o irep_ids_convert.cpp
g++  -o irep_ids_convert irep_ids_convert.o ../big-int/bigint.o
./irep_ids_convert header < irep_ids.txt > irep_ids.h
g++ -c -MMD -DSTL_HASH_TR1 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -I .. -I . -DHAVE_FLOATBV -o arith_tools.o arith_tools.cpp
g++ -c -MMD -DSTL_HASH_TR1 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -I .. -I . -DHAVE_FLOATBV -o base_type.o base_type.cpp
In file included from ./union_find.h:15:0,
                 from base_type.h:12,
                 from base_type.cpp:13:
./numbering.h: In instantiation of 'unsigned int numbering<T>::number(const T&) [with T = dstring]':
./union_find.h:141:30:   required from 'unsigned int union_find<T>::number(const T&) [with T = dstring]'
./union_find.h:108:25:   required from 'bool union_find<T>::make_union(const T&, const T&) [with T = dstring]'
base_type.cpp:176:48:   required from here
./numbering.h:31:7: error: 'push_back' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
./numbering.h:31:7: note: declarations in dependent base 'std::vector<dstring, std::allocator<dstring> >' are not found by unqualified lookup
./numbering.h:31:7: note: use 'this->push_back' instead
make[3]: *** [base_type.o] Error 1
make[3]: Leaving directory `/«PKGBUILDDIR»/src/util'
make[2]: *** [util.dir] Error 2
make[1]: *** [all] Error 2
dh_auto_build: make -j1 returned exit code 2
make[2]: Leaving directory `/«PKGBUILDDIR»/src'
make[1]: Leaving directory `/«PKGBUILDDIR»'
make: *** [build-arch] Error 2
dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Tautschnig <mt@debian.org>:
Bug#667131; Package cbmc. (Wed, 04 Apr 2012 23:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Tautschnig <mt@debian.org>. (Wed, 04 Apr 2012 23:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 667131@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 667131@bugs.debian.org
Subject: Re: Bug#667131: cbmc: ftbfs with GCC-4.7
Date: Thu, 5 Apr 2012 01:13:52 +0200
[Message part 1 (text/plain, inline)]
tag 667131 patch
thanks

Matthias Klose <doko@debian.org> (03/04/2012):
> Package: cbmc
> Version: 4.1-1
> Severity: important
> Tags: sid wheezy
> User: debian-gcc@lists.debian.org
> Usertags: ftbfs-gcc-4.7

Here's a patch to fix this FTBFS. No intent to NMU.

Mraw,
KiBi.
[cbmc+nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Wed, 04 Apr 2012 23:18:05 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 16:51:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Tautschnig <mt@debian.org>:
Bug#667131; Package cbmc. (Sun, 13 May 2012 12:39:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Tautschnig <mt@debian.org>. (Sun, 13 May 2012 12:39:13 GMT) Full text and rfc822 format available.

Message #19 received at 667131@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 667131@bugs.debian.org
Subject: cbmc: diff for NMU version 4.1-1.1
Date: Sun, 13 May 2012 14:36:46 +0200
[Message part 1 (text/plain, inline)]
tags 667131 + pending
thanks

Hi Michael

I'm going trough some RC bugs for wheezy, and where on cbmc.

I've prepared an NMU for cbmc (versioned as 4.1-1.1) and
uploaded it to DELAYED/5. Please feel free to tell me if I
should delay it longer.

I can cancel the upload in case you would like to do it. Please simply
let me know!

Regards
Salvatore
[cbmc-4.1-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sun, 13 May 2012 12:39:18 GMT) Full text and rfc822 format available.

Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Fri, 18 May 2012 13:03:04 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Fri, 18 May 2012 13:03:14 GMT) Full text and rfc822 format available.

Message #26 received at 667131-close@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 667131-close@bugs.debian.org
Subject: Bug#667131: fixed in cbmc 4.1-1.1
Date: Fri, 18 May 2012 13:02:12 +0000
Source: cbmc
Source-Version: 4.1-1.1

We believe that the bug you reported is fixed in the latest version of
cbmc, which is due to be installed in the Debian FTP archive:

cbmc_4.1-1.1.debian.tar.gz
  to main/c/cbmc/cbmc_4.1-1.1.debian.tar.gz
cbmc_4.1-1.1.dsc
  to main/c/cbmc/cbmc_4.1-1.1.dsc
cbmc_4.1-1.1_amd64.deb
  to main/c/cbmc/cbmc_4.1-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667131@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <carnil@debian.org> (supplier of updated cbmc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 13 May 2012 14:25:21 +0200
Source: cbmc
Binary: cbmc
Architecture: source amd64
Version: 4.1-1.1
Distribution: unstable
Urgency: low
Maintainer: Michael Tautschnig <mt@debian.org>
Changed-By: Salvatore Bonaccorso <carnil@debian.org>
Description: 
 cbmc       - bounded model checker for C and C++ programs
Closes: 667131
Changes: 
 cbmc (4.1-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add fix-FTBFS-with-gcc-4.7.patch patch.
     Fix FTBFS with gcc 4.7. Fix missing <unistd.h> includes and add 'this->'
     where needed.
     Thanks to Cyril Brulebois <kibi@debian.org> for the patch. (Closes: #667131)
Checksums-Sha1: 
 17bceb1904afcde9a3a363a0e65ead492cba0b35 1706 cbmc_4.1-1.1.dsc
 63283904d74ddac6262ea9a2eb2cb92cbb008ea9 4791 cbmc_4.1-1.1.debian.tar.gz
 8c46154dacf9f87e8cd1072ca428afba14fd98ab 4559560 cbmc_4.1-1.1_amd64.deb
Checksums-Sha256: 
 cd692bd3fb7b4c14b3ecc20361768a3ba72f1b52e67afd5d4938d6ca4de6433f 1706 cbmc_4.1-1.1.dsc
 51a45d9309a53bbe1a02d7bf9cd756a4db3a9e58e76836363ee7f0b658882539 4791 cbmc_4.1-1.1.debian.tar.gz
 0af614b1827ef0239d37918052a89c12d826a76f9066069eac02e440a958090b 4559560 cbmc_4.1-1.1_amd64.deb
Files: 
 7911a7019da3840837748d3460897920 1706 science extra cbmc_4.1-1.1.dsc
 64d433095f3f7b10ebe4f3fd5e392de9 4791 science extra cbmc_4.1-1.1.debian.tar.gz
 b69fda633d02a702c136a83ecf62beda 4559560 science extra cbmc_4.1-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPr6k5AAoJEHidbwV/2GP+K4wQAOd42QcXdp0nf/DcVB7r/3Ei
mwloedaUVrNkUCv1RaYMUfyxy/o03jir7w8uiy3b4TMX8EoeXFoiafbj+bsC0b34
vdBkICvR+ri3CIyoNVSxYV6ZVFiZwa5BRwTJPOe3eXSoEEppD5uT6cegl7sEOe06
DuVq7rzttL7msY3bF2c4c0xiw/OiGq3UPNi1m/pYn0pwuTZqpUIALh6cJJnYkLs0
jGJD9wqkoYB5ufsEKrVe+0Qb9ySWQlWU1eQ4I2Rlf5EY7ftsHMv3aq1w4YDtNCwk
mbR/plBZVXqT4mn/wm+Jjw+bQ4+Y+XZi0fiAJfS9uWuvny0w2Y+x8T3qN5/EuLo1
FL+GM5gMFPt2Aps+HcCwPrE3C/LTqVISb3Z6/JZtqnfIWas/yQe9B2jl1Rza//je
ozCAiLOplje7PpZFqA2wN7hl0fsfBW7TWXoKC3daTCqiZbp851vSpxEgPw/jlzMP
PR7ERgBinbD2YRTjRppRnksrsvprauAAncYHSfeX9QJfycwihIlkfoYf5YLNLyl3
ZIhqgZLTpUYHREZ9KCZVO71Hpdv5Scg/dvxUCiWlBhTUkxOyyXVdsExUUhiKF4Hm
/GiRtPXQ7qHT66BhmsbIshNad3W7darj6BsD/h1Nnw2Shg1f5ZfxlqZKAkYTLz+V
92QUV9aGy1k3Mr88G7D5
=FKel
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2012 07:40:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:49:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.